org.apache.ignite.yarn

## Class IgniteContainer

- java.lang.Object
- - org.apache.ignite.yarn.IgniteContainer

-     public class IgniteContainer
      extends Object

  Information about launched task.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `cpuCores`
    `org.apache.hadoop.yarn.api.records.ContainerId` | `id`
    `double` | `mem`
    `org.apache.hadoop.yarn.api.records.NodeId` | `nodeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteContainer(org.apache.hadoop.yarn.api.records.ContainerId id, org.apache.hadoop.yarn.api.records.NodeId nodeId, double cpuCores, double mem)` Ignite launched task.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cpuCores()`
    `org.apache.hadoop.yarn.api.records.ContainerId` | `id()`
    `double` | `mem()`
    `org.apache.hadoop.yarn.api.records.NodeId` | `nodeId()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final org.apache.hadoop.yarn.api.records.ContainerId id

    - #### nodeId

          public final org.apache.hadoop.yarn.api.records.NodeId nodeId

    - #### cpuCores

          public final double cpuCores

    - #### mem

          public final double mem

  - ### Constructor Detail

    - #### IgniteContainer

          public IgniteContainer(org.apache.hadoop.yarn.api.records.ContainerId id,
                                 org.apache.hadoop.yarn.api.records.NodeId nodeId,
                                 double cpuCores,
                                 double mem)

      Ignite launched task.
      Parameters:
        `id` - Container ID.
        `nodeId` - Node id.
        `cpuCores` - Cpu cores count.
        `mem` - Memory

  - ### Method Detail

    - #### id

          public org.apache.hadoop.yarn.api.records.ContainerId id()

      Returns:
        Id.

    - #### nodeId

          public org.apache.hadoop.yarn.api.records.NodeId nodeId()

      Returns:
        Host.

    - #### cpuCores

          public double cpuCores()

      Returns:
        Cores count.

    - #### mem

          public double mem()

      Returns:
        Memory.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022